Class | OpenSSL::Cipher::Cipher
In: | openssl/lib/openssl/cipher.rb
Parent: | Object

### Methods

random_iv random_key

### Public Instance methods

random_iv()

[Source]

    # File openssl/lib/openssl/cipher.rb, line 46
          def random_iv
            str = OpenSSL::Random.random_bytes(self.iv_len)
            self.iv = str
            return str
          end

random_key()

[Source]

    # File openssl/lib/openssl/cipher.rb, line 40
          def random_key
            str = OpenSSL::Random.random_bytes(self.key_len)
            self.key = str
            return str
          end

[Validate]